#include QMK_KEYBOARD_H

const uint16_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
    /*
     *
     * ┌───┬───┬───┬───┐
     * │ESC│F1 │F2 │F3 │
     * ├───┼───┼───┼───┤
     * │NUM│ / │ * │ - │
     * ├───┼───┼───┼───┤
     * │ 7 │ 8 │ 9 │   │
     * ├───┼───┼───┤ENT│
     * │ 4 │ 5 │ 6 │   │
     * ├───┼───┼───┼───┤
     * │ 1 │ 2 │ 3 │   │
     * ├───┴───┼───┤ + │
     * │   0   │ . │   │
     * └───────┴───┴───┘
     */
    [0] = LAYOUT(
        KC_ESC,    KC_F1,    KC_F2,    KC_F3,
        KC_NUM_LOCK,   KC_PSLS,  KC_PAST,  KC_PMNS,
        KC_P7,     KC_P8,    KC_P9,    KC_PPLS,
        // row 3  (only cols 0–2 used)
        KC_P4,     KC_P5,    KC_P6,    KC_NO,
        KC_P1,     KC_P2,    KC_P3,    KC_PENT,
        // row 5  (only cols 0 & 2 used)
        KC_P0,     KC_NO,    KC_PDOT,  KC_NO
    )
};
